# $Revision: 1.9 $, $Date: 2006/01/08 16:47:25 $
#
# Conditional build:
%bcond_without	sysfs	# sysfs
%bcond_without	procfs	# procfs
#
Summary:	Scales your CPU frequency
Summary(pl):	Skalowanie czstotliwoci procesora
Name:		cpufrequtils
Version:	0.4
Release:	2
License:	GPL v2
Group:		Applications/System
Source0:	http://www.kernel.org/pub/linux/utils/kernel/cpufreq/%{name}-%{version}.tar.bz2
# Source0-md5:	f0f9cecda44584c3ba28239568ef0a42
URL:		http://www.kernel.org/pub/linux/utils/kernel/cpufreq/cpufrequtils.html
%{?with_sysfs:BuildRequires:	sysfsutils-devel}
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Scales your CPU frequency.

%description -l pl
Skalowanie czstotliwoci procesora.

%package libs
Summary:	Library cpufrequtils
Summary(pl):	Biblioteka skalujca czstotliwo procesora
Group:		Libraries

%description libs
Library cpufrequtils.

%description libs -l pl
Biblioteka skalujca czstotliwo procesora.

%package devel
Summary:	Header file for libcpufreq library
Summary(pl):	Plik nagwkowy biblioteki libcpufreq
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header file for libcpufreq library.

%description devel -l pl
Plik nagwkowy biblioteki libcpufreq.

%prep
%setup -q

%build
%configure \
	%{?with_sysfs:--enable-sysfs=/sys} \
	%{?with_procfs:--enable-proc} \

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/cpufreq-*
%{_mandir}/man1/cpufreq-*.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcpufreq.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcpufreq.so
%{_libdir}/libcpufreq.la
%{_includedir}/cpufreq.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cpufrequtils.spec,v $
Revision 1.9  2006/01/08 16:47:25  blues
- release 2 - separated libs into subpackage

Revision 1.8  2006/01/08 16:17:43  blues
- TODO added

Revision 1.7  2006/01/04 21:55:04  qboosh
- added missing update information to rev. 1.5 commit log

Revision 1.6  2005/12/27 18:26:48  arekm
- fix attr on cpufreq-* binaries

Revision 1.5  2005/12/27 14:28:24  arekm
- rel 1; builds
[updated to 0.4]

Revision 1.4  2005/06/20 20:56:26  qboosh
- don't regenerate ac/am (not needed now for anything, too much PITA)
- fixed files, added -devel package

Revision 1.3  2005/06/20 19:34:08  qboosh
- descs from summaries

Revision 1.2  2005/06/19 09:00:40  glen
- need regen autotools in subdirs, still doesn't build

Revision 1.1  2005/06/19 00:55:33  blues
- raw version - original tool from kernel.org
